import type { GuildQueue } from "discord-player"
import { logConsoleError } from "@/utils/console"

export const name = "playerError"
export function execute(queue: GuildQueue, error: Error) {
	// Emitted when the audio player errors while streaming audio track
	logConsoleError('discord_player', 'player_error', { message: error.message }, error)
}
